Bug 63223 - (ContactsAPI) Support for Contacts API
(ContactsAPI)
: Support for Contacts API
Status: RESOLVED WONTFIX
Product: WebKit
Classification: Unclassified
Component: Platform
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Nobody
http://www.w3.org/TR/contacts-api/
:
Depends on:
Blocks: DAP
  Show dependency treegraph
 
Reported: 2011-06-22 19:36 PDT by Donggwan Kim
Modified: 2013-07-16 22:51 PDT (History)
20 users (show)

See Also:


Attachments
Add new feature for Contacts API (152.41 KB, patch)
2011-06-29 22:15 PDT, Donggwan Kim
abarth: review-
Details | Formatted Diff | Diff
Fix style check problem (121.44 KB, patch)
2011-06-29 22:42 PDT, Donggwan Kim
abarth: review-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Donggwan Kim 2011-06-22 19:36:01 PDT
There is no Contacts API implementation in WebKit
This API is a new feature that is published by W3C.
The Device APIs Working Group of W3C has just released a Last Call Working Draft of its Contacts API:
    http://www.w3.org/TR/2011/WD-contacts-api-20110616/
So we need to implement it.

I'd like to implement it and I'm implementing it now.

I'm going to commit patch for Contacts API implementation very soon

Thank you
Comment 1 Sam Weinig 2011-06-22 21:25:52 PDT
Please email the webkit-dev mailing list explain why you think this API should be implemented in WebKit as requested at http://www.webkit.org/coding/adding-features.html.
Comment 2 Donggwan Kim 2011-06-29 22:15:29 PDT
Created attachment 99237 [details]
Add new feature for Contacts API

I've implemented new feature for contacts API.
Because of implementing new feature, file size of patch is larger than other patches.
If you feel any inconvenience for reviewing my patch, please let me know.
I'll split it as your recommendation.

Thank you.

Donggwan
Comment 3 WebKit Review Bot 2011-06-29 22:19:54 PDT
Attachment 99237 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/fast..." exit_code: 1

Tools/DumpRenderTree/LayoutTestController.cpp:2220:  Use 0 instead of NULL.  [readability/null] [5]
Source/WebCore/DerivedSources.cpp:58:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/DerivedSources.cpp:60:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/DerivedSources.cpp:62:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/DerivedSources.cpp:64:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WebCoreSupport/DumpRenderTreeSupportQt.cpp:102:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WebCoreSupport/DumpRenderTreeSupportQt.cpp:897:  Missing space before ( in switch(  [whitespace/parens] [5]
Total errors found: 7 in 83 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Adam Barth 2011-06-29 22:21:39 PDT
Comment on attachment 99237 [details]
Add new feature for Contacts API

This patch is extremely large and there's some question on webkit-dev about whether we want to implement this API in this form.
Comment 5 Donggwan Kim 2011-06-29 22:42:58 PDT
Created attachment 99240 [details]
Fix style check problem

fix style check problem with LayoutTestController.cpp.
remove build and port related files from patch
Comment 6 Adam Barth 2011-06-29 22:45:03 PDT
Comment on attachment 99240 [details]
Fix style check problem

R- for the reasons above.
Comment 7 Donggwan Kim 2011-06-29 23:05:48 PDT
(In reply to comment #6)
> (From update of attachment 99240 [details])
> R- for the reasons above.

do you want for me to split patch to smaller patches?
and what should i do for webkit-dev discussion issue?
and do i wait until that discussion is completed?
Comment 8 Adam Barth 2011-06-29 23:19:20 PDT
I think the main next step is to convince the WebKit project that we want to implement this feature.  The discussion on webkit-dev seemed to indicate that folks had some concerns about some structural design questions.

Generally speaking, the APIs from the DAP working group haven't received as much scrutiny from browser vendors as those from the WebApps or the HTML working groups.  That's not to say that WebKit isn't interested in APIs from DAP (for example, we've implemented FileSystem), but you might find that there's some effort required to get folks on board.